﻿@model JavnaNabava.ViewModels.NatjecajStrucnjaciTableViewModel

@{
    ViewData["Title"] = "Natjecaj strucnjaci";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1> Stručnjaci potrebni za natječaj </h1>


<a asp-action="Create">Dodaj zahtjev za stručnjacima</a>

<pager page-info="@Model.PagingInfo" page-title="Unesite željenu stranicu" page-action="Index" class="float-right"></pager>

<table class="table table-sm table-striped" table-hover">
    <thead>
        <tr>
            <th>
                <a asp-route-sort="1"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 1 ? !Model.PagingInfo.Ascending : true)">Evidencijski broj</a>
            </th>
            <th>
                <a asp-route-sort="2"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 2 ? !Model.PagingInfo.Ascending : true)">Opis kriterija</a>
            </th>
            <th>
                <a asp-route-sort="3"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 3 ? !Model.PagingInfo.Ascending : true)">Broj potrebnih stručnjaka</a>
            </th>
            <th>
                <a asp-route-sort="4"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-ascending="@(Model.PagingInfo.Sort == 4 ? !Model.PagingInfo.Ascending : true)">Tražena stručna sprema</a>
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var strucnjak in Model.NatjecajStrucnjaci)
        {
        <tr>
            <td class="text-left">@strucnjak.EvidencijskiBr</td>
            <td class="text-left">@strucnjak.OpisKriterija</td>
            <td class="text-left">@strucnjak.BrPotrebnihStrucnjaka</td>
            <td class="text-left">@strucnjak.StrucnaSprema</td>
            <td class="btn-group">
                <a asp-action="EditDetail"
                   asp-route-Id="@strucnjak.Id"
                   asp-route-page="@Model.PagingInfo.CurrentPage"
                   asp-route-sort="@Model.PagingInfo.Sort"
                   asp-route-ascending="@Model.PagingInfo.Ascending"
                   class="btn btn-sm" title="Ažuriraj"><i class="fas fa-edit"></i></a>

                <form asp-action="Delete" method="POST"
                      asp-route-page="@Model.PagingInfo.CurrentPage"
                      asp-route-sort="@Model.PagingInfo.Sort"
                      asp-route-ascending="@Model.PagingInfo.Ascending">
                    <input type="hidden" name="Id" value="@strucnjak.Id" />
                    <button type="submit" class="btn btn-sm btn-danger delete" title="Obriši">
                        <i class="fas fa-trash-alt"></i>
                    </button>
                </form>
            </td>
        </tr>
        }
    </tbody>
</table>